Bug 285321 - Review Request: fmtools - Simple Video for Linux radio card programs
Review Request: fmtools - Simple Video for Linux radio card programs
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-10 18:52 EDT by Nicolas Chauvet (kwizart)
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 20:30:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Nicolas Chauvet (kwizart) 2007-09-10 18:52:31 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/fmtools/fmtools.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/fmtools/fmtools-1.0.2-1.kwizart.fc6.src.rpm
Description: Simple Video for Linux radio card programs
Comment 1 Parag AN(पराग) 2007-09-19 03:16:15 EDT
rpmlint on binary RPM gave me
fmtools.i386: E: script-without-shebang /usr/bin/fmcontrol
This text file has executable bits set or is located in a path dedicated
for executables, but lacks a shebang and cannot thus be executed.  If the file
is meant to be an executable script, add the shebang, otherwise remove the
executable bits or move the file elsewhere.

rpmlint on SRPM gave me
fmtools.src: W: mixed-use-of-spaces-and-tabs (spaces: line 18, tab: line 1)
The specfile mixes use of spaces and tabs for indentation, which is a
cosmetic annoyance.  Use either spaces or tabs for indentation, not both.

fmtools.src: W: strange-permission fmcontrol.tar.gz 0755
A file that you listed to include in your package has strange
permissions. Usually, a file should have 0644 permissions.

Comment 2 Nicolas Chauvet (kwizart) 2007-09-21 16:00:53 EDT
Spec URL:
http://kwizart.free.fr/fedora/6/testing/fmtools/fmtools.spec
SRPM URL:
http://kwizart.free.fr/fedora/6/testing/fmtools/fmtools-1.0.2-2.fc8.src.rpm
Description: Simple Video for Linux radio card programs

The above issues are fixed
%changelog
- Fix shebang
- Fix perm on source
- Fix mixed use of spaces and tabs
- Remove internal header to use it from kernel-headers
Comment 3 Parag AN(पराग) 2007-09-22 06:21:20 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
fe40296a7515f506c6b46a0ec7f056eb  fmcontrol.tar.gz
4bae0e5feeb8cbf4cfcb950301e9509d  fmtools-1.0.2.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Package fmtools-1.0.2-2.fc8  ->
 Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1)
libc.so.6(GLIBC_2.3.4) libc.so.6(GLIBC_2.4) libm.so.6 libm.so.6(GLIBC_2.0)
rtld(GNU_HASH)
+ Not a GUI app.

APPROVED.
Comment 4 Nicolas Chauvet (kwizart) 2007-09-22 06:38:28 EDT
New Package CVS Request
=======================
Package Name:      fmtools
Short Description: Simple Video for Linux radio card programs
Owners:            kwizart
Branches:          F-7 FC-6 EL-5 EL-4
InitialCC:         <empty>
Commits by cvsextras: yes
Comment 5 Kevin Fenzi 2007-09-24 12:33:30 EDT
The package description here is confusing to me... 
perhaps it should be something like: 

"Simple Video4Linux programs for Linux radio cards" 

(If you do want to change the description, please just reset fedora-cvs to ? and
I will update it). 

cvs done. 

Note You need to log in before you can comment on or make changes to this bug.